# CSC 111, Day 30
# Author: Joe O'Rourke, Sara Mathieson, <your name>
# A program to draw a simple car and make it move where we click.
# Example of writing a class.

from graphics import *

#------------------------------------------------------

def draw_car(window,x,y):

    p1 = Point(x-50,y-25)
    p2 = Point(x+50,y+25)
    body = Rectangle(p1, p2)
    
    pf = Point(x-30,y+20)
    front = Circle(pf, 20)
    pb = Point(x+30,y+20)
    back = Circle(pb, 20)

    body.setFill('maroon')
    front.setFill('gray')
    back.setFill('gray')

    front.draw(window)
    back.draw(window)
    body.draw(window)

#------------------------------------------------------
    
def main():
    win = GraphWin('Car Class', 500, 500)
    win.setBackground('cornflower blue')

    draw_car(win,250,250)

main()
